Customer Groups

  • List customer groups

  • Create customer group

  • Delete customer group

  • Retrieve customer group

  • Update customer group

Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

<- Customer Groups API

Customer Groups API

All versions ->

Retrieve customer group

GET

 /v2/customers/groups/{group_id}

Retrieves a specific customer group as identified by the group_id value.

Permissions:CUSTOMERS_READ
Try in API Explorer
Link to section

Path parameters

Example code

Link to section

group_id

string

Required

The ID of the customer group to retrieve.

Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

group

The retrieved customer group.

Link to section

Examples

All versions ->

GET /v2/customers/groups/{group_id}
curl https://connect.squareup.com/v2/customers/groups/2TAT3CMH4Q0A9M87XJZED0WMR3 \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "group": { "id": "2TAT3CMH4Q0A9M87XJZED0WMR3", "name": "Loyal Customers", "created_at": "2020-04-13T21:54:57.863Z", "updated_at": "2020-04-13T21:54:58Z" } }